Skip to main content
PUT
/
reports
/
data
Get report data for multiple brands, channels and metrics available to user
curl --request PUT \
  --url https://dashboard.dashsocial.com/reports/data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "benchmarks": [
    {
      "industry_id": 123
    }
  ],
  "competitor_source_account_ids": [
    "<string>"
  ]
}
'
{
  "data": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:6

The content length of report data

channels
enum<string>[]
required

Channels requested by the report

Minimum array length: 1
Available options:
FACEBOOK,
INSTAGRAM,
INSTAGRAM_UGC,
INSTAGRAM_STORIES,
INSTAGRAM_COMPETITIVE,
INSTAGRAM_BENCHMARKS,
PINTEREST,
TIKTOK,
TWITTER,
YOUTUBE
sort_order
enum<string>
default:SortOrderEnum.DESC

Sort Order requested by the report (ASC | DESC)

Available options:
ASC,
DESC
start_date
string<date-time>
required

Start date of the reporting time range. Required if include_data=True

Example:

"2021-02-01"

end_date
string<date-time>
required

End date of the reporting time range. Required if include_data=True

Example:

"2021-02-07"

filters
object

Filters for specific channels

filename_prefix
string

Preferred filename prefix for the report. If not provided, report_type type will be used.

metrics
string[]
required

Metric requested by the report

Minimum array length: 1
brand_ids
integer[]

List of ids of the brands requested by the report

Minimum array length: 1
Required range: x >= 0
time_scale
enum<string>
default:DAILY

The way data should be grouped in graph reports, can be either DAILY or MONTHLY

Available options:
DAILY,
MONTHLY
Example:

"DAILY"

report_type
enum<string>
default:SINGLE_METRIC

The type report data to return can be: ['CONTENT_OWNED', 'CONTENT_OWNED_STORIES', 'CONTENT_UGC', 'CONTENT', 'MULTI_BRAND_METRIC', 'SINGLE_METRIC', 'GRAPH', 'HEADER', 'COMPETITIVE_CONTENT', 'COMPETITIVE_MULTI_BRAND_METRIC', 'COMPETITIVE_GRAPH', 'MULTI_METRIC_MEDIA_TYPE', 'BENCHMARK_METRIC', 'BENCHMARK_GRAPH']

Available options:
CONTENT_OWNED,
CONTENT_OWNED_STORIES,
CONTENT_UGC,
CONTENT,
MULTI_BRAND_METRIC,
SINGLE_METRIC,
GRAPH,
HEADER,
COMPETITIVE_CONTENT,
COMPETITIVE_MULTI_BRAND_METRIC,
COMPETITIVE_GRAPH,
MULTI_METRIC_MEDIA_TYPE,
BENCHMARK_METRIC,
BENCHMARK_GRAPH
Example:

"SINGLE_METRIC"

format
enum<string>

The format in which the report will be returned

Available options:
csv
competitor_source_account_ids
string[]

List of ids of the competitive brands requested by the report

Minimum array length: 1
require_posts
boolean
default:false

If true, ElasticSearch stats will have a null value instead of a 0 if no posts of the required type have been created within the requested time frame.

context_end_date
string<date-time>

Start date of the reporting comparison time range. Required for metric reports

Example:

"2021-01-07"

include_share_of_voice
boolean
default:false

If true, the share of voice metric will be calculated for valid isntagram competitive metrics

context_start_date
string<date-time>

Start date of the reporting comparison time range. Required for metric reports

Example:

"2021-01-01"

Body

application/json
benchmarks
object[]

List of benchmarks and their buckets requested by the report

competitor_source_account_ids
string[]

List of ids of the competitive brands requested by the report

Minimum array length: 1

Response

OK

data
any
read-only

Report data on the requested metric